SHA1SUM(1)

NOM
sha1sum - Calculer et vérifier le sommaire d'un message SHA1

SYNOPSIS
sha1sum [OPTION] ... [FICHIER] ...

DESCRIPTION

Afficher ou vérifier des sommes de contrôle SHA1 (160 bits). L'entrée standard est lue quand FICHIER est omis ou quand FICHIER vaut « - ».

-b, --binary
    lire en mode binaire

-c, --check
    lire les sommes de contrôle SHA1 des FICHIERs et les vérifier

--tag
    créer une somme de contrôle de type BSD

-t, --text
    lire en mode texte (par défaut)

  Les quatre options suivantes ne sont utiles que lors de la vérification des sommes de contrôle :

--quiet
    ne pas afficher OK à chaque vérification correcte de fichiers

--status
    ne rien afficher, le code d'état montre le succès

--strict
    quitter avec un code de retour non nul en cas de formatage incorrect des lignes de contrôle

-w, --warn
    avertir lorsque les lignes de sommes de contrôle sont mal formatées

--help
    Afficher l'aide-mémoire et quitter

--version
    Afficher le nom et la version du logiciel et quitter

Les sommes sont calculées selon la méthode décrite dans le document FIPS-180-1. Lors de la vérification, l'entrée doit être une sortie précédente du programme. Le mode par défaut affiche une ligne avec la somme de contrôle, un caractère indiquant le type (« * » pour binaire, une espace « » pour texte) et le nom de chaque FICHIER.

AUTEUR
Écrit par Ulrich Drepper, Scott Miller et David Madore.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <http://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction de sha1sum à <http://translationproject.org/team/>

COPYRIGHT
Copyright © 2014 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou supérieures <http://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
Documentation complète : <http://www.gnu.org/software/coreutils/sha1sum>
aussi disponible localement à l’aide de la commande : info '(coreutils) sha1sum invocation'

TRADUCTION
Cette page de manuel a été traduite par Michel Robitaille <robitail AT iro DOT umontreal DOT ca> et mise à jour pour Debian par Steve Petruzzello <dlist AT bluewin DOT ch> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.